pcl::NormalBasedSignature12 Struct Reference
Module common

A point structure representing the Normal Based Signature for a feature matrix of 4-by-3. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | values [12]

## Friends

std::ostream & | operator<< (std::ostream &os, const NormalBasedSignature12 &p)

## Detailed Description

A point structure representing the Normal Based Signature for a feature matrix of 4-by-3.

Definition at line 1180 of file point_types.hpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const NormalBasedSignature12 & | p
| ) |  |

friend

## Member Data Documentation

float pcl::NormalBasedSignature12::values[12]

Definition at line 1182 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp